From a72260bd14599a876502209179a2893010d7c4ef Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Kamil=20Trzci=C5=84ski?= <ayufan@ayufan.eu>
Date: Fri, 15 Dec 2023 09:41:58 +0100
Subject: [PATCH] Check pre-release versions on RubyGems

---
 scripts/validate-monorepo-gem | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/scripts/validate-monorepo-gem b/scripts/validate-monorepo-gem
index 171a2fb6e3d6e..9c379072102b8 100755
--- a/scripts/validate-monorepo-gem
+++ b/scripts/validate-monorepo-gem
@@ -5,7 +5,13 @@ if [[ $# -ne 1 ]]; then
   exit 1
 fi
 
-if ! gem specification --remote --ruby "$1"; then
-  echo "The '$1' is missing. Push stub gem to RubyGems with version 0.0.1."
-  exit 1
+if gem specification --remote --ruby "$1"; then
+  exit 0
+fi
+
+if gem specification --remote --ruby --pre "$1"; then
+  exit 0
 fi
+
+echo "The '$1' is missing. Push stub gem to RubyGems with version 0.0.1."
+exit 1
-- 
GitLab